import request from '@/utils/request'

// 查询基本信息列表
export function listStaffManage(query) {
  return request({
    url: '/basic/info/list',
    method: 'get',
    params: query
  })
}

// 查询基本信息详细
export function getStaffManage(id) {
  return request({
    url: '/basic/info/' + id,
    method: 'get'
  })
}

// 新增基本信息
export function addStaffManage(data) {
  return request({
    url: '/basic/info',
    method: 'post',
    data: data
  })
}

// 修改基本信息
export function updateStaffManage(data) {
  return request({
    url: '/basic/info/put',
    method: 'post',
    data: data
  })
}

// 删除基本信息
export function delStaffManage(id) {
  return request({
    url: '/basic/info/delete/' + id,
    method: 'get'
  })
}
